
Redmine - Defect #23051

Got Problem, And no resolution for this: Don't know how to build task 'test:scm:units' (see --tasks)

2016-06-13 10:26 - guidi zeng

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.2.3

Description

when i installing redmine follow this link:[[http://www.redmine.org/projects/redmine/wiki/RedmineInstall]]

Environment:

System: Linux version 3.10.0-327.10.1.el7.x86_64 (builder@kbuilder.dev.centos.org) (gcc version 4.

8.3 20140911 (Red Hat 4.8.3-9) (GCC) ) #1 SMP Tue Feb 16 17:03:50 UTC 2016)

Ruby:   ruby 2.2.5p319 (2016-04-26 revision 54774) [x86_64-linux]

   Rails 4.2.5.2

   rake, version 11.2.0

 1. process database.yml

2. modify source to https://gems.taobao.org/ in Gemfile.

3. bundle install --without test development

(completed: Bundle complete! 31 Gemfile dependencies, 56 gems now installed.)

4. bundle exec rake generate_secret_token

[root@Kz redmine]# bundle exec rake generate_secret_token

/usr/local/ruby2.2/lib/ruby/gems/2.2.0/gems/htmlentities-4.3.1/lib/htmlentities/mappings/e

xpanded.rb:465: warning: duplicated key at line 466 ignored: "inodot"rake aborted!

Don't know how to build task 'test:scm:units' (see --tasks)

/usr/local/redmine/lib/tasks/testing.rake:87:in `block (2 levels) in <top (required)>'

/usr/local/redmine/lib/tasks/testing.rake:22:in `block in <top (required)>'

/usr/local/redmine/lib/tasks/testing.rake:1:in `<top (required)>'

/usr/local/redmine/Rakefile:7:in `<top (required)>'

/usr/local/ruby2.2/bin/bundle:23:in `load'

/usr/local/ruby2.2/bin/bundle:23:in `<main>'

(See full trace by running task with --trace)

[root@Kz redmine]#

Some one can help me?

History

#1 - 2016-06-13 10:31 - guidi zeng

[root@Kz redmine]# svnadmin --version

svnadmin，版本 1.7.14 (r1542130)

#2 - 2016-06-13 15:37 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Please use forum for question.

guidi zeng wrote:

2. modify source to https://gems.taobao.org/ in Gemfile.

 I don't know what gems.taobao.org is.

#3 - 2016-06-15 07:41 - guidi zeng
I removed the file named "testing.rake" in directory "tasks", skip this step, and then installing successed.

#4 - 2016-06-16 16:31 - Toshi MARUYAMA

FTR: it seems rake problem.

Update failure from 3.2.2 to 3.2.3
